> ## Documentation Index
> Fetch the complete documentation index at: https://docs.extractor.live/llms.txt
> Use this file to discover all available pages before exploring further.

# expire subscriptions

> Check all the subscriptions for all the tenants and downgrade to Free subscription if needed



## OpenAPI

````yaml /openapi.json post /api/v1/subscription/expire
openapi: 3.0.3
info:
  title: Extractor Project (dev)
  version: 0.0.649
servers: []
security: []
paths:
  /api/v1/subscription/expire:
    post:
      tags:
        - Subscription Route
      summary: expire subscriptions
      description: >-
        Check all the subscriptions for all the tenants and downgrade to Free
        subscription if needed
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubscriptionExpireDto'
      security:
        - SecurityScheme: []
components:
  schemas:
    SubscriptionExpireDto:
      type: object
      properties:
        trigger:
          description: Amount of trigger, that was disabled by this action
          type: object
          allOf:
            - $ref: '#/components/schemas/PaginationDtoLong'
        action:
          description: Amount of wallet actions, that was disabled by this action
          type: object
          allOf:
            - $ref: '#/components/schemas/PaginationDtoLong'
        detector:
          description: Amount of detectors, that was disabled by this action
          type: object
          allOf:
            - $ref: '#/components/schemas/PaginationDtoLong'
    PaginationDtoLong:
      type: object
      properties:
        data:
          description: Response data
          type: array
          items:
            format: int64
            type: integer
        total:
          format: int64
          description: Total amount of document available for this request
          type: integer
  securitySchemes:
    SecurityScheme:
      type: http
      description: Authentication
      scheme: bearer
      bearerFormat: JWT

````